package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Ciudad;
import com.rjconsultores.ventaboletos.entidad.Escola;
import com.rjconsultores.ventaboletos.utilerias.RegistroConDependenciaException;

public interface EscolaService {
	public List<Escola> obtenerTodos();

    public Escola obtenerID(Integer id);

    public Escola suscribir(Escola entidad);

    public Escola actualizacion(Escola entidad);

    public void borrar(Escola entidad) throws RegistroConDependenciaException;
	
    public List<Escola> buscar(String nombescola, Ciudad ciudad);
}
